.TH CosFileTransfer_File 3 "cosFileTransfer  1.1.8" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosFileTransfer_File \- This module implements the OMG CosFileTransfer::File interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosFileTransfer/include/*\&.hrl")\&.\fR
.LP
This module also exports the functions described in:
.RS 2
.TP 2
*
CosPropertyService_PropertySetDef in the cosProperty application\&.
.RE

.SH EXPORTS
.LP
.B
\&'_get_name\&'(File) -> string()
.br
.RS
.TP
Types
File = #objref
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s associated name\&.
.RE
.LP
.B
\&'_get_complete_file_name\&'(File) -> string()
.br
.RS
.TP
Types
File = #objref
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s associated absolute name\&.
.RE
.LP
.B
\&'_get_parent\&'(File) -> Directory
.br
.RS
.TP
Types
File = Directory = #objref
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s container\&. In some cases a \fINIL\fR object will be returned\&.
.RE
.LP
.B
\&'_get_associated_session\&'(File) -> FileTransferSession
.br
.RS
.TP
Types
File = FileTransferSession = #objref
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s associated \fIFileTransferSession\fR\&.
.RE
